Search the Community

Showing results for tags 'mtasa 1.5.x'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • Multi Theft Auto: San Andreas 1.x
    • Support for MTA:SA 1.x
    • Open Source Contributors
    • Suggestions
  • General MTA
    • News
    • Media
    • Site/Forum/IRC/Mantis/Wiki related
    • MTA Chat
    • Other languages
  • community.mtasa.com
    • Scripting
    • Maps
    • Resources
    • Other Creations
    • Competitive gameplay
    • Servers
  • Other
    • General
    • Multi Theft Auto 0.5r2
    • Third party GTA mods
  • Archive
    • Archived Items
    • Trash
  • Private Bugtracker

Found 1 result

  1. Happy Spring Break! We have got a new release for you - Multi Theft Auto: San Andreas 1.5.4! This release includes security updates for the server that protect both you and us, so we recommend all server owners to upgrade as soon as possible - see the steps below for tips on that. Failure to do so may affect your server's visibility on the Master Server List in the ingame server browser. Aside from security fixes, there are some feature updates in this version for the client as well, so regular players are more than welcome to update. What do you need to do to upgrade your server properly Stop your server, then upgrade your server binaries like usual. You can also upgrade your server resources if you use any of the default MTA:SA ones. Start your server, and when it is running, stop your server again (This will step will ensure mtaserver.conf is upgraded) Edit your mtaserver.conf file, and find <owner_email_address> (it should be just below the <servername> parameter) and insert a valid e-mail address that we can use to contact you, should there be an issue with your server. This e-mail address IS NOT visible publicly and will only be used for means listed earlier. That is, only if those occur. Save the mtaserver.conf file, then start your server again. Release Highlights Authorized Serial Account Protection is now enabled by default. To put it simply, this feature prevents players from logging in to an account on the server if their serial differs from the serial associated with that account. Naturally, this feature is configurable so you can restrict it to specific account groups and you can authorize more than just one serial for a specific account. You can also disable this in the mtaserver.conf file if you are sure you do not need the feature. Database Credentials Protection is now enabled by default. passwordHash() & passwordVerify() can now be used to store and verify passwords securely and efficiently fetchRemote() now supports parallel downloads with the queue name parameter setWorldSpecialPropertyEnabled() now has settings for "sniper moon", "random foliage" and "extra air resistance" New scripting functions: get/setVehicleLODDistance() setElementDimension() now supports element omnipresence, which means that an element can be in all dimensions at once fixes for weapons/fists desync Corona markers should now have a correct attach offset position SQLite or MySQL no longer makes the server freeze if the connection is lost (#9520) Goggles no longer stay after player was killed (#9477) updates for CEF and other dependencies and redists fakelag command for testing sync issues fixes for some crashes and improvements for error handling for installation and startup issues removed max password length limit for server account passwords added server option to allow locally modified (gta3.img) vehicles added world special property "extraairresitance" to remove speed limiter on certain road sections (#7546) resource pack: various changes in acpanel, editor, freeroam, killmessages, playerblips, race and webbrowser ... plus more! A complete list of changes can be found here (recommended read) and here (incomplete, from r10623 upwards). List of changes to the resource pack can be found here (starting from and including Oct 29, 2016 upwards). Want to download MTA:SA 1.5.4? Click here to download the build for Win 7+. Looking for a legacy build for XP/Vista? You can download it here. Or you can click here to go to our home page. Once there, click the Download button at the top center of the page, then choose your build and you are set. Linux server packages are also available. This release is backwards compatible with the 1.5.3 (also 1.5.2, 1.5.1 and 1.5). If you use these versions, then you may as well upgrade to the newest one. Credits for this release: 4O4, Arran, Dutchman101, einheit-101, Fernando, lopezloo, Necktrox, next, Noki_, qaisjp, ZReC ^ (Have you contributed to MTA:SA 1.5.4's source code/resources pack but were not mentioned in the above list? PM @jhxp with a link to your contribution and you will be added ASAP) ^ Oh, and did you know that we have got our very own Discord server now? Click here for details on how to join our server. Take care. -- MTA Team